### 7.12.2 rand.inc - Other Distributions

#### 7.12.2.1 Continuous Symmetric Distributions

`Rand_Cauchy(Mu, Sigma, Stream)`. Cauchy distribution.
Parameters:

- `Mu` = Mean.
- `Sigma` = Standard deviation.
- `Stream` = Random number stream.

`Rand_Student(N, Stream)`. Student's-t distribution.
Parameters:

- `N` = degrees of freedom.
- `Stream` = Random number stream.

`Rand_Normal(Mu, Sigma, Stream)`. Normal distribution.
Parameters:

- `Mu` = Mean.
- `Sigma` = Standard deviation.
- `Stream` = Random number stream.

`Rand_Gauss(Mu, Sigma, Stream)`. Gaussian distribution. Like Rand_Normal(), but a bit faster.
Parameters:

- `Mu` = Mean.
- `Sigma` = Standard deviation.
- `Stream` = Random number stream.

#### 7.12.2.2 Continuous Skewed Distributions

`Rand_Spline(Spline, Stream)`. This macro takes a spline describing the desired distribution. The T value of the spline is the output value, and the .y value its chance of occuring.
Parameters:

- `Spline` = A spline determining the distribution.
- `Stream` = Random number stream.

`Rand_Gamma(Alpha, Beta, Stream)`. Gamma distribution.
Parameters:

- `Alpha` = Shape parameter > 0.
- `Beta` = Scale parameter > 0.
- `Stream` = Random number stream.

`Rand_Beta(Alpha, Beta, Stream)`. Beta variate.
Parameters:

- `Alpha` = Shape Gamma1.
- `Beta` = Scale Gamma2.
- `Stream` = Random number stream.

`Rand_Chi_Square(N, Stream)`. Chi Square random variate.
Parameters:

- `N` = Degrees of freedom (integer).
- `Stream` = Random number stream.

`Rand_F_Dist(N, M, Stream)`. F-distribution.
Parameters:

- `N, M` = Degrees of freedom.
- `Stream` = Random number stream.

`Rand_Tri(Min, Max, Mode, Stream)`. Triangular distribution
Parameters:

- `Min, Max, Mode`: Min < Mode < Max.
- `Stream` = Random number stream.

`Rand_Erlang(Mu, K, Stream)`. Erlang variate.
Parameters:

- `Mu` = Mean >= 0.
- `K` = Number of exponential samples.
- `Stream` = Random number stream.

`Rand_Exp(Lambda, Stream)`. Exponential distribution.
Parameters:

- `Lambda` = rate = 1/mean.
- `Stream` = Random number stream.

`Rand_Lognormal(Mu, Sigma, Stream)`. Lognormal distribution.
Parameters:

- `Mu` = Mean.
- `Sigma` = Standard deviation.
- `Stream` = Random number stream.

`Rand_Pareto(Alpha, Stream)`. Pareto distribution.
Parameters:

- `Alpha` = ?
- `Stream` = Random number stream.

`Rand_Weibull(Alpha, Beta, Stream)`. Weibull distribution.
Parameters:

- `Alpha` = ?
- `Beta` = ?
- `Stream` = Random number stream.

#### 7.12.2.3 Discrete Distributions

`Rand_Bernoulli(P, Stream)` and `Prob(P, Stream)`. Bernoulli distribution. Output is true with probability equal to the value of P and false with a probability of 1 - P.
Parameters:

- `P` = probability range (0-1).
- `Stream` = Random number stream.

`Rand_Binomial(N, P, Stream)`. Binomial distribution.
Parameters:

- `N` = Number of trials.
- `P` = Probability (0-1)
- `Stream` = Random number stream.

`Rand_Geo(P, Stream)`. Geometric distribution.
Parameters:

- `P` = Probability (0-1).
- `Stream` = Random number stream.

`Rand_Poisson(Mu, Stream)`. Poisson distribution.
Parameters:

- `Mu` = Mean.
- `Stream` = Random number stream.